## fatrat-unpack 1.1.3

=== CMakeLists.txt ===
project(fatrat-unpack)
add_subdirectory(unrar)

cmake_minimum_required(VERSION 2.4.0)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(Qt4 REQUIRED)

set(CMAKE_MODULE_PATH cmake_modules)

if(WITH_EVERYTHING)
	set(WITH_NLS ON)
	set(WITH_ZIP ON)
endif(WITH_EVERYTHING)

set(fatrat_DIR ${CMAKE_MODULE_PATH})
find_package(fatrat REQUIRED)

set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)

if(FATRAT_FOUND)
	message(STATUS "fatrat found OK")
	include_directories(${FATRAT_INCLUDE_DIRS})
else(FATRAT_FOUND)
	message(FATAL_ERROR "No FatRat development headers found")
endif(FATRAT_FOUND)

if(WITH_ZIP)
	set(libzip_DIR ${CMAKE_MODULE_PATH})
	find_package(libzip REQUIRED)
	
	if(LIBZIP_FOUND)
		message(STATUS "libzip found OK: ${LIBZIP_LIBRARY}")
		include_directories(${LIBZIP_INCLUDE_DIRS})
	else(LIBZIP_FOUND)
		message(FATAL_ERROR "No libzip")
	endif(LIBZIP_FOUND)
endif(WITH_ZIP)

include( ${QT_USE_FILE} )
add_definitions(${QT_DEFINITIONS})
add_definitions(-fvisibility=hidden)

if(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DDEBUG)
	ADD_DEFINITIONS(-Wall)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

include_directories(./ ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})
CONFIGURE_FILE(config.h.in config.h)

set(fatrat-unpack_SRCS
	fr_unpack.cpp
	Unpacker.cpp
	RarUnpacker.cpp
	UnpackDlg.cpp
	)

set(fatrat-unpack_MOC_HDRS
	RarUnpacker.h
	UnpackDlg.h
	Unpacker.h
	PasswordDlg.h
	PipeDlg.h
	)

set(fatrat-unpack_UIS
	ProgressWidget.ui
	PasswordDlg.ui
	UnpackDlg.ui
	FilesDlg.ui
	PipeDlg.ui
	)

if(WITH_ZIP)
	set(fatrat-unpack_SRCS
		${fatrat-unpack_SRCS}
		ZipUnpacker.cpp
	)
endif(WITH_ZIP)

qt4_wrap_cpp(fatrat-unpack_MOC_SRCS ${fatrat-unpack_MOC_HDRS})

set(fatrat-unpack_RCS
	#gfx/opensubtitles.qrc
)

qt4_wrap_ui(fatrat-unpack_UIS_H ${fatrat-unpack_UIS})
qt4_add_translation(lrelease_outputs locale/fatrat-unpack_cs_CZ.ts locale/fatrat-unpack_sk_SK.ts locale/fatrat-unpack_tr_TR.ts)

add_library(fatrat-unpack SHARED ${fatrat-unpack_SRCS} ${fatrat-unpack_MOC_SRCS} ${fatrat-unpack_UIS_H} ${fatrat-unpack_QRC_H} ${lrelease_outputs})
#add_dependencies(fatrat-unpack unrar)

target_link_libraries(fatrat-unpack ${QT_LIBRARIES} ${LIBZIP_LIBRARY} unrar)

if(WITH_NLS)
	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
endif(WITH_NLS)

install(TARGETS fatrat-unpack DESTINATION lib/fatrat/plugins)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/pipecmds
	DESTINATION share/fatrat/data/plugins/fatrat-unpack
	)

install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/data/TRANSLATIONS
        ${CMAKE_CURRENT_SOURCE_DIR}/data/3RDPARTIES
        DESTINATION share/doc/fatrat-unpack
        )

=== unrar/CMakeLists.txt ===
project(unrar)

cmake_minimum_required(VERSION 2.4.0)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

ADD_DEFINITIONS(-DLPARAM="unsigned long")
ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE)
ADD_DEFINITIONS(-DRARDLL -DSILENT)
ADD_DEFINITIONS(-fvisibility=hidden)
ADD_DEFINITIONS(-fPIC)

if(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DDEBUG)
	ADD_DEFINITIONS(-Wall)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

set(unrar_SRCS
	filestr.cpp scantree.cpp dll.cpp
	rar.cpp strlist.cpp strfn.cpp pathfn.cpp int64.cpp savepos.cpp global.cpp file.cpp filefn.cpp filcreat.cpp
	archive.cpp arcread.cpp unicode.cpp system.cpp isnt.cpp crypt.cpp crc.cpp rawread.cpp encname.cpp recvol.cpp
	resource.cpp match.cpp timefn.cpp rdwrfn.cpp consio.cpp options.cpp ulinks.cpp errhnd.cpp rarvm.cpp rs.cpp
	rijndael.cpp getbits.cpp sha1.cpp extinfo.cpp extract.cpp volume.cpp list.cpp find.cpp unpack.cpp cmddata.cpp)

add_library(unrar STATIC ${unrar_SRCS})

## fatrat-unpack 1.1.1

=== debian/changelog ===
fatrat-unpack (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #537066).

 -- Cristian Greco <cristian@regolo.cc>  Thu, 26 Nov 2009 20:11:07 +0100

=== debian/control ===
Source: fatrat-unpack
Section: non-free/net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.0.50),
               cmake (>= 2.6.0),
               fatrat-dev (>= 1.1.1),
               libzip-dev
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-unpack.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-unpack.git
Homepage: http://fatrat.dolezel.info
DM-Upload-Allowed: yes

Package: fatrat-unpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
Enhances: fatrat
Description: non-free fatrat plugin for unpacking archives inside the application
 FatRat is a feature rich download manager written in C++ and built on
 top of Qt4 library, including many download protocols and a plugin system.
 .
 This package contains a plugin for FatRat which allows you to unpack archives
 inside the application. Currently supported formats are Rar and Zip.

## fatrat-unpack 1.1.2

=== debian/changelog ===
fatrat-unpack (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 01:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                cmake (>= 2.6.0),
                fatrat-dev (>= 1.1.1),
                libzip-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-unpack.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-unpack.git
 Homepage: http://fatrat.dolezel.info

## fatrat-unpack 1.1.3

=== debian/changelog ===
fatrat-unpack (1.1.3-2) unstable; urgency=low

  * Rebuild against new libzip2 for SONAME change (Closes: #658549).
  * debian/control: set my @d.org email address and drop DMUA field.

 -- Cristian Greco <cristian@debian.org>  Sun, 05 Feb 2012 15:05:08 +0100

fatrat-unpack (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - debian/control:
      + bump (build-)dep on fatrat(-dev) to (>= 1.1.3).
      + bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 09 Oct 2010 00:00:30 +0200

=== debian/control ===
Source: fatrat-unpack
Section: non-free/net
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               cmake (>= 2.6.0),
               fatrat-dev (>= 1.1.3),
               libzip-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-unpack.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-unpack.git
Homepage: http://fatrat.dolezel.info

Package: fatrat-unpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.3)
Enhances: fatrat
Description: non-free fatrat plugin for unpacking archives inside the application
 FatRat is a feature rich download manager written in C++ and built on
 top of Qt4 library, including many download protocols and a plugin system.
 .
 This package contains a plugin for FatRat which allows you to unpack archives
 inside the application. Currently supported formats are Rar and Zip.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NLS=ON -DWITH_ZIP=ON -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -Xfatrat-unpack
	# avoid problems with incorrect parsing of private libraries
	# (plugins) having an hyphen in their name (#384424).

=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat-unpack/fatrat-unpack-(.*)\.tar\.gz
